local frame = CreateFrame"Frame"
local today = floor(time()/86400)

local LDB = LibStub:GetLibrary("LibDataBroker-1.1")
local Ontario = LDB:NewDataObject("Ontario", {
type = "data source",
text = "Ontario",
icon = "Interface\\Icons\\inv_mace_51"
})

frame:RegisterEvent("PLAYER_LOGIN") 
frame:RegisterEvent("ACHIEVEMENT_EARNED")
	

local function Print(input)
	ChatFrame1:AddMessage("|cff33ff99Ontario|r: "..tostring(input))	
end


local function AddToDaily(...)
	achievementID = select(1,...)
	local _, name, points, _, _, _, _, _, _, _, _ = GetAchievementInfo(achievementID)
	local nameString = tostring(name)
	--local pointsNumber = tonumber(points)
	
	Print("You've just made "..nameString.."! You earned "..points.." points.")

	--OntarioDB[today] = OntarioDB[today] or {}
	tinsert(OntarioDB[today], {Name = nameString, Points = points})
end		
	
frame:SetScript("OnEvent",function(self,event,...)
	if (event == "PLAYER_LOGIN") then
		OntarioDB = OntarioDB or {} 
		OntarioDB[today] = OntarioDB[today] or {}
		for day,ach in pairs(OntarioDB) do
			if day < today then
				OntarioDB[day] = nil
			end
		end
	elseif (event == "ACHIEVEMENT_EARNED") then
		AddToDaily(...)
	end
end)
		

Ontario.OnEnter = function(self) 
 	GameTooltip:SetOwner(self, 'ANCHOR_TOPRIGHT')
	GameTooltip:ClearLines()
		
	local total, completed = GetNumCompletedAchievements()
	local points = GetTotalAchievementPoints()	
	
	GameTooltip:AddLine("Ontario")
	GameTooltip:AddDoubleLine("\nPoints", points, 201/255,118/255,0,0,201/255,180/255)
	GameTooltip:AddDoubleLine("Completed:", completed.." / "..total, 201/255,118/255,0,0,201/255,180/255)
	
	GameTooltip:AddLine("\nToday's Highlight:")
	
	if not OntarioDB[today][1] then 
		GameTooltip:AddLine("Oops you didn't do any achievement today") 
	else
		local Achcount, Pcount = 0, 0

		for index, value in ipairs(OntarioDB[today]) do
			Pcount = Pcount + value.Points
			Achcount = Achcount + 1
			GameTooltip:AddDoubleLine(value.Name, value.Points.." points", 201/255,118/255,0,0,201/255,180/255)
		end
		GameTooltip:AddLine("\nToday's total")
		GameTooltip:AddDoubleLine(Achcount.." achievements",Pcount.." points", 201/255,118/255,0,0,201/255,180/255)
	end
	
	GameTooltip:AddLine("\n|cff33ff99Click to toggle achievement frame|r")
	GameTooltip:Show()
end
	
Ontario.OnLeave = function() GameTooltip:Hide() end
	
Ontario.OnClick = function() ToggleAchievementFrame() end

